org.eclipse.microprofile.opentracing.tck

## Class OpenTracingClientBaseTests

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.opentracing.tck.OpenTracingBaseTests
    - - org.eclipse.microprofile.opentracing.tck.OpenTracingClientBaseTests

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

Direct Known Subclasses:
  OpenTracingClassMethodNameClientTests, OpenTracingDefaultClientTests, OpenTracingHTTPPathNameTests

    public abstract class OpenTracingClientBaseTests
    extends OpenTracingBaseTests

Opentracing TCK tests.

Author:
  Steve Fontes

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.eclipse.microprofile.opentracing.tck.OpenTracingBaseTests

`deploymentURL, JAXRS_COMPONENT`

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`OpenTracingClientBaseTests()`

### Method Summary

### Methods inherited from class org.eclipse.microprofile.opentracing.tck.OpenTracingBaseTests

`assertEqualErrorTrees, assertEqualTrees, beforeEachTest, createDeployment, executeNested, executeRemoteWebServiceRaw, executeRemoteWebServiceRaw, executeRemoteWebServiceTracerTree, getEndpointMethod, getExpectedNestedServerSpan, getExpectedSpanTags, getExpectedSpanTagsForError, getNestedQueryParameters, getOperationName, getRandomNumber, getWebServiceURL, getWebServiceURL, testMultithreadedNestedSpans, testNestedSpans`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OpenTracingClientBaseTests

    public OpenTracingClientBaseTests()